Bug 1045718 - [abrt] gwibber: urllib2.py:531:http_error_default:HTTPError: HTTP Error 404: Not Found
Summary: [abrt] gwibber: urllib2.py:531:http_error_default:HTTPError: HTTP Error 404: ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gwibber
Version: 20
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:654809692aceaa369095bf1e2ab...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-21 13:01 UTC by Eduardo Villagrán Morales
Modified: 2014-01-09 07:43 UTC (History)
1 user (show)

Fixed In Version: gwibber-3.4.2-10.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-03 08:31:38 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.24 KB, text/plain)
2013-12-21 13:01 UTC, Eduardo Villagrán Morales
no flags Details
File: environ (1.37 KB, text/plain)
2013-12-21 13:01 UTC, Eduardo Villagrán Morales
no flags Details

Description Eduardo Villagrán Morales 2013-12-21 13:01:33 UTC
Description of problem:
Try to add a identi.ca account, but it fails.

Version-Release number of selected component:
gwibber-3.4.2-9.fc20

Additional info:
reporter:       libreport-2.1.10
cmdline:        /usr/bin/python /usr/bin/gwibber-accounts
dso_list:       python-libs-2.7.5-9.fc20.i686
executable:     /usr/bin/gwibber-accounts
kernel:         3.11.10-301.fc20.i686
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
urllib2.py:531:http_error_default:HTTPError: HTTP Error 404: Not Found

Traceback (most recent call last):
  File "/usr/share/gwibber/plugins/identica/gtk/identica/__init__.py", line 79, in on_statusnet_auth_clicked
    tokendata = urllib2.urlopen(request.http_url, request.to_postdata()).read()
  File "/usr/lib/python2.7/urllib2.py", line 127, in urlopen
    return _opener.open(url, data, timeout)
  File "/usr/lib/python2.7/urllib2.py", line 410, in open
    response = meth(req, response)
  File "/usr/lib/python2.7/urllib2.py", line 523, in http_response
    'http', request, response, code, msg, hdrs)
  File "/usr/lib/python2.7/urllib2.py", line 448, in error
    return self._call_chain(*args)
  File "/usr/lib/python2.7/urllib2.py", line 382, in _call_chain
    result = func(*args)
  File "/usr/lib/python2.7/urllib2.py", line 531, in http_error_default
    raise HTTPError(req.get_full_url(), code, msg, hdrs, fp)
HTTPError: HTTP Error 404: Not Found

Local variables in innermost frame:
fp: <addinfourl at 143510828 whose fp = <socket._fileobject object at 0x88cd36c>>
code: 404
hdrs: <httplib.HTTPMessage instance at 0x88dce4c>
self: <urllib2.HTTPDefaultErrorHandler instance at 0x88dc98c>
req: <urllib2.Request instance at 0x88dc4ac>
msg: 'Not Found'

Comment 1 Eduardo Villagrán Morales 2013-12-21 13:01:39 UTC
Created attachment 840004 [details]
File: backtrace

Comment 2 Eduardo Villagrán Morales 2013-12-21 13:01:41 UTC
Created attachment 840005 [details]
File: environ

Comment 3 Tom "spot" Callaway 2013-12-24 02:05:26 UTC
That's because identi.ca doesn't exist anymore in a way that gwibber understands it.

I need to disable all the status.net code from gwibber.

Comment 4 Fedora Update System 2013-12-30 19:26:32 UTC
gwibber-3.4.2-10.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gwibber-3.4.2-10.fc19

Comment 5 Fedora Update System 2013-12-30 19:26:43 UTC
gwibber-3.4.2-10.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gwibber-3.4.2-10.fc20

Comment 6 Fedora Update System 2013-12-31 09:52:29 UTC
Package gwibber-3.4.2-10.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gwibber-3.4.2-10.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-24164/gwibber-3.4.2-10.fc20
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-01-03 08:31:38 UTC
gwibber-3.4.2-10.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-01-09 07:43:38 UTC
gwibber-3.4.2-10.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.